@import "variables";
@import "functions";
@import "mixins";

body {
  @include flex-col(center);
  justify-content: center;
  padding: 0;
}

h1 {
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 50px;
}

.logo {
  position: fixed;
  right: 15px;
  bottom: 15px;
  max-height: 80vh;
  max-width: 100px;
}

.back-btn {
  height: 60px;
  width: 60px;
  position: fixed;
  left: 15px;
  top: 50%;
  transform: translateY(-50%);
  background-color: theme-color("primary");
  border-radius: 50%;
  z-index: 999;

  > img {
    position: absolute;
    height: 60%;
    width: 60%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

.container {
  padding: 50px 130px;
}

.links {
  margin-top: 20px;
  @include flex-col(center);

  > a {
    font-size: 17px;
    font-weight: $font-weight-semibold;
    text-transform: uppercase;
    color: theme-color("secondary");
    text-align: center;
    margin-top: 5px;
    text-decoration: none;
    transition: $transition ;
  }

  > a:hover {
    opacity: 0.6;
  }
}

form {
  .single-col {
    max-width: 500px;
    margin: 0px auto;
    @include flex-row(flex-start);
    flex-wrap: wrap;

    .input-wrp {
      flex-basis: 500px;
    }
  } 
}

@include bp("md") {
  .logo {
    display: none;
  }

  .back-btn {
    height: 50px;
    width: 50px;
    top: 100vh;
    margin-top: -15px;
    left: 15px;
    transform: translateY(-100%);
    background-color: theme-color("secondary");
  }

  .container {
    padding: 50px 15px;
  }
}